#include <windows.h>		// Header File For Windows
#include <stdio.h>			// Header File For Standard Input/Output
#include <gl\gl.h>			// Header File For The OpenGL32 Library
#include <gl\glu.h>			// Header File For The GLu32 Library
#include <gl\glaux.h>		// Header File For The Glaux Library

class Environement
{
public:
	Environement();
	~Environement();

	void Load(char *skyname, float r, int slices, int stacks);
	void Render();

private:
	void LoadTexture(char *name, unsigned int* texid);
	AUX_RGBImageRec *LoadBMP(char *Filename);				// Loads A Bitmap Image

	float					r;						// skysphere radius
	int					slices,stacks;	// sphere resolution
	unsigned int		skyid;			// texture identifier
	GLUquadricObj*		skyobj;		// skysphere object
};